/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package thread;

import java.util.Random;
import java.util.logging.Level;
import java.util.logging.Logger;
import javax.swing.JTextField;

/**
 *
 * @author student1
 */
public class BingoThread extends Thread{

    private final JTextField jTxt1;
    private final JTextField jTxt2;
    private final JTextField jTxt3;
    private boolean signal;

    public BingoThread(JTextField jTxt1, JTextField jTxt2, JTextField jTxt3) {
        super();
        this.jTxt1 = jTxt1;
        this.jTxt2 = jTxt2;
        this.jTxt3 = jTxt3;
        signal=true;
    }
    
    
    
    @Override
    public void run() {
        Random random=new Random(10);
        while(signal){
            jTxt1.setText(random.nextInt()+"");
            jTxt2.setText(random.nextInt()+"");
            jTxt3.setText(random.nextInt()+"");
            try {
                sleep(100);
            } catch (InterruptedException ex) {
                System.out.println(ex.getMessage());
            }
        }
    }

    public void stopBingo() {
        signal=false;
    }
    
    
}
